EOL needs to be handled more elegantly

Bug #671016 reported by Rick Spencer on 2010-11-04
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
High
Michael Vogt
Natty
High
Michael Vogt

Bug Description

Binary package hint: update-manager

Users can come into possession of a computer on which is installed a version of Ubuntu that is no longer supported. In cases where the next version of Ubuntu is supported, the user may upgrade to a supported version. However, in the case where the currently installed and the next version is also no longer supported, the user cannot update.

In either case, we need to handle these cases more elegantly.

1. Users should be apprised of the fact that their OS is not supported anymore and will not receive updates.
2. Users should be told their options in clear language about how to resolve the issue. For instance, attempting an upgrade, reinstalling a fresh Ubuntu, or contacting their manufacturer for instructions.
3. The update-manage should know about old.* archives so that the user can attempt an upgrade if desired. [fixed]

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: update-manager 1:0.142.20
ProcVersionSignature: Ubuntu 2.6.35-22.34-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic i686
Architecture: i386
Date: Thu Nov 4 09:20:38 2010
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: update-manager

tags: removed: i386 maverick ubuntu-une
Changed in update-manager (Ubuntu):
assignee: nobody → Michael Vogt (mvo)
importance: Undecided → High
milestone: none → ubuntu-11.04
Michael Vogt (mvo) wrote :

The actual bug here (upgrade from old-releases.ubuntu.com to old-releases.ubuntu.com) works, but we still need to do better when it comes to explaining the user what unsupported means and what options the user has.

Changed in update-manager (Ubuntu Natty):
status: New → Confirmed
milestone: ubuntu-11.04 → natty-alpha-1
Michael Vogt (mvo) wrote :

As a first step we should make sure that users on a unsupported release do not upgrade to a unsupported release without knowing about it). This can happen now on intrepid to jaunty.

As a first (and important step) we should create a file like
the following:
http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main/annotate/head%3A/DistUpgrade/EOLReleaseAnnouncement

for the old releases that explains that the release is no longer supported, what that means
and what options the user has. I'm happy to adjust the text/wording as needed, this is just a suggestions.

Then we add this new file as a link for "ReleaseNotes" for all EOL releases here:
http://changelogs.ubuntu.com/meta-release

This way a user trying to upgrading from e.g. intrepid to jaunty (unsupported to unsupported)
will see this text that explains whats going on before the upgrade is performed. We could
have a additional "AlmostEOLReleaseAnnoucement" when the time is close if we want.

This solves the problem that the user has no information on upgrade if the next version is
EOL as well.

description: updated
Michael Vogt (mvo) wrote :

The next task is to ensure that once the distro becomes EOL there is information on this e.g. via auto popup of update-managerr or the new /usr/lib/update-manager/check-new-release-gtk window with a proper page explaining what is going on.

Michael Vogt (mvo) wrote :

Just for reference, here is what the dialog looks like that we currently show (if the user opens update-manager or if update-manager is auto-opened because there are pending updates).?field.comment=Just for reference, here is what the dialog looks like that we currently show (if the user opens update-manager or if update-manager is auto-opened because there are pending updates).

Changed in update-manager (Ubuntu Natty):
status: Confirmed → In Progress
Michael Vogt (mvo) wrote :

I added code in natty now that will automatically detect if the release is EOL and write it to motd (for servers) and popup a window that contains upgrade instructions plus a (brief) explaination that the current release is EOL. Its similar to the "screenshot of u-m running on a EOL system" and we should point to a new page explaining about EOL and linking to upgrade instructions.

Changed in update-manager (Ubuntu Natty):
milestone: natty-alpha-1 → natty-alpha-2
Colin Watson (cjwatson) wrote :

#ubuntu-devel, 2010-12-10:

<cjwatson> mvo: what more is needed to close bug 671016? just getting the new page written?
<mvo> cjwatson: yes, the page is missing, a bit more testing and then it should be done.

Colin Watson (cjwatson) on 2011-01-21
Changed in update-manager (Ubuntu Natty):
milestone: natty-alpha-2 → ubuntu-11.04-beta
Michael Vogt (mvo) wrote :

I created a draft page explaining about the End-of-Life process for a release:
https://wiki.ubuntu.com/ReleaseEndOfLife

This would be the page that the user see if he/she clicks on "more information" in the dialog. Feedback/corrections welcome, when we are happy with this it should move to help.ubuntu.com.

description: updated
Colin Watson (cjwatson) wrote :

Thanks, Michael. I've made some proofreading-type edits; it seems OK to me now, at least as a starting point.

On Fri, Jan 28, 2011 at 08:24:19PM -0000, Michael Vogt wrote:
> I created a draft page explaining about the End-of-Life process for a release:
> https://wiki.ubuntu.com/ReleaseEndOfLife
>
> This would be the page that the user see if he/she clicks on "more
> information" in the dialog. Feedback/corrections welcome, when we are
> happy with this it should move to help.ubuntu.com.

I made a couple of fixes, notably using "maintenance" (bug fixing updates)
instead of "support" (professional assistance with the product).

I think that this page needs more work before it's ready to present to end
users. It needs to provide more detail and links to explain:

- what exactly is the problem with their system
- why it is happening
- that they need to take action to correct the problem
- what their options are

Gerry, can your team help with this?

--
 - mdz

Michael Vogt (mvo) on 2011-03-30
Changed in update-manager (Ubuntu Natty):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04-beta-2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.147.1

---------------
update-manager (1:0.147.1) natty; urgency=low

  * UpdateManager/backend/InstallBackendAptdaemon.py:
    - use pkgsystem_unlock, improve exception handling, add test
  * DistUpgrade/DistUpgradeQuirks.py:
    - add quirks handler for maverick->natty upgrade for the
      kdegames-card-data case (LP: #745396)
  * tests/test_quirks.py:
    - add test for LP: #745396
  * UpdateManager/UpdateManager.py, do-release-upgrade:
    - point to http://www.ubuntu.com/releaseendoflife when the release
      is end-of-life message is displayed (LP: #671016)
  * DistUpgrade/EOLReleaseAnnouncement:
    - improve wording, this is displayed if the user is trying to upgrade
      from a unsupported version of Ubuntu to a already unsupported
      version. This now links to http://www.ubuntu.com/releaseendoflife
      (LP: #671016)
 -- Michael Vogt <email address hidden> Mon, 04 Apr 2011 11:31:50 +0200

Changed in update-manager (Ubuntu Natty):
status: In Progress → Fix Released
Michael Vogt (mvo) wrote :

The design team wrote a page now here:
  http://www.ubuntu.com/releaseendoflife

If a users runs a unsupported version of ubuntu this link will be displayed as part of the message in the MOTD and
as a linkbutton in update-manager and check-release-upgrade-gtk (see comment #5). The user will be nagged about
the unsupportedness of his system every 48h (this is the interval at which check-release-uprade-gtk is run).

For the case if the user runs a unsupported version of ubuntu *and* he can only upgrade to a unsupported version
(e.g. interpid -> jaunty) I updated the meta-release file on changelogs.ubuntu.com. Not the release announcemens text
that is displayed at the upgrade upgrade will be http://changelogs.ubuntu.com/EOLReleaseAnnouncement
(I also updated the EOLchecklist to add this bit).

This should cover everything, I close this bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers